<?php

namespace Src\Modules\Auth\Interfaces\Infrastructure\Storage;

use Src\Modules\Auth\Interfaces\Infrastructure\IFactory as IInfrastructureFactory;

interface IFactory
{
    public function setInfrastructureFactory(IInfrastructureFactory $factory): void;
    public function getInfrastructureFactory(): IInfrastructureFactory;
    public function getAdminsStorage(): IAdminsStorage;
}